Bug 444550 - Floppy-disk Mount - SELinux targeted policy warning
Floppy-disk Mount - SELinux targeted policy warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Paris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 21:52 EDT by Richard Hartley
Modified: 2009-07-14 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
your request for more info using: ausearch -m avc (1.73 KB, text/plain)
2008-04-29 09:49 EDT, Richard Hartley
no flags Details
dmesg & /var/log/messages (unedited) (19.22 KB, application/octet-stream)
2008-04-29 11:07 EDT, Richard Hartley
no flags Details
ausearch -m avc (after auditctl -a exit,always -S kill -F pid=1 ) (3.24 KB, text/plain)
2008-04-29 11:19 EDT, Richard Hartley
no flags Details

  None (edit)
Description Richard Hartley 2008-04-28 21:52:09 EDT
Description of problem:
Floppy Disk Mount triggers SELinux Targeted Policy with the error SELinux
prevented mount from mounting. However the disk contents appear as normal and
can be used as normal. 

Version-Release number of selected component (if applicable):
Policy RPM selinux-policy-3.3.1-35.fc9

How reproducible:
Easy

Steps to Reproduce:
1.Insert Floppy Disk
2.Select Mount
3.
  
Actual results:
Window with contents of the disk plus an AVC Denial Warning

Expected results:
Window with contents of the disk

Additional info:
host=localhost.localdomain type=AVC msg=audit(1209076968.68:189): avc: denied {
write } for pid=5996 comm="mount" dev=bdev ino=0
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:unlabeled_t:s0
tclass=file
Comment 1 Daniel Walsh 2008-04-29 09:26:23 EDT
Was there any other information in the auditlogig

ausearch -m avc

Comment 2 Richard Hartley 2008-04-29 09:49:42 EDT
Created attachment 304115 [details]
your request for more info using: ausearch -m avc
Comment 3 Eric Paris 2008-04-29 10:17:45 EDT
can you also include a copy of dmesg and anything in /var/log/message around the
time of the incident?
Comment 4 Daniel Walsh 2008-04-29 10:19:17 EDT
Are you running in permissive mode?

Do you see anything in /var/log/messages?

What file system is on the floppy?
Comment 5 Eric Paris 2008-04-29 10:21:30 EDT
could you also add an audit rule and reproduce and give us that ausearch output
again?   a good simple rule would be

auditctl -a exit,always -S kill -F pid=1
Comment 6 Richard Hartley 2008-04-29 11:07:20 EDT
Created attachment 304125 [details]
dmesg & /var/log/messages (unedited)

I don't understand your question about permissive mode. The SELinux policy is
at the default setting when I installed F9 Preview.

The original floppy was write-protected. I just tried a different floppy
(write-protect off) and there's no SELinux warnings.

Both are msdos FAT12 formatted.
Comment 7 Richard Hartley 2008-04-29 11:19:09 EDT
Created attachment 304128 [details]
ausearch -m avc (after auditctl -a exit,always -S kill -F pid=1 )
Comment 8 Daniel Walsh 2008-05-02 13:27:57 EDT
This looks like a kernel issue,  First it is reporting an AVC on mount on an
unlabeled_t as a success.

Comment 9 Bug Zapper 2008-05-14 06:20:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Eric Paris 2008-06-18 18:54:12 EDT
Well, I dug out an old computer (P3 650MHz) with a floppy drive and installed
F9.  Tomorrow I'll have to hunt down/go buy a floppy disk and then we will see
what I can do with this bug...
Comment 11 Bug Zapper 2009-06-09 20:30:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 11:20:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.